#
# This is a default configuration file for the SitaWare Frontline application
# logger. Change these settings as appropriate.
#

###############################################################################
# Root Logger
###############################################################################
#
# Specify the handlers to create in the root logger
#
handlers=java.util.logging.FileHandler
#
# Specifies the default logging level for the root logger.
# Individual loggers and handlers may override this level (restricting it more)
# Use one of the following levels: ALL, SEVERE, WARNING, INFO, CONFIG, FINE, FINER, FINEST
#
.level=WARNING
com.systematic.sitaware.framework.application.level=INFO
org.apache.level=SEVERE
com.systematic.sitaware.framework.application.ApplicationState.level=INFO
com.systematic.sitaware.mobile.desktop.application.utils.LoggingHelper.level=INFO
com.systematic.sitaware.mobile.common.framework.addon.AddonLoader.level=INFO
com.systematic.sitaware.mobile.desktop.framework.stc.internal.connection.StcConnectionManager.level=INFO
com.systematic.sitaware.mobile.desktop.framework.stc.internal.StcManager.level=INFO
com.systematic.sitaware.mobile.desktop.framework.applicationmanagement.ApplicationManagementServiceImpl.level=INFO
###############################################################################
# FileHandler
# A handler that writes log entries to file.
###############################################################################
#
# Specifies the default logging level (defaults to ALL). Levels are the same as for the root logger.
# This overrides the log level for the root logger as specified in .level
#
java.util.logging.FileHandler.level=ALL
#
# Specifies the output format to use (defaults to java.util.logging.XMLFormatter)
# Use one of: java.util.logging.SimpleFormatter or java.util.logging.XMLFormatter
#
java.util.logging.FileHandler.formatter=com.systematic.sitaware.framework.logging.SwflFormatter
#
# Specifies an approximate maximum amount to write (in bytes) to any one file (defaults to no limit).
# If this is zero, then there is no limit.
#
java.util.logging.FileHandler.limit=10000000
#
# Specifies how many output files to cycle through (defaults to 1)
#
java.util.logging.FileHandler.count=10
#
# Specifies whether the FileHandler should append onto any existing files (defaults to false).
#
java.util.logging.FileHandler.append=false
#
# Specifies more wide encoding system to handle month and 12 hour clock system naming for arabic and thai languages
#
java.util.logging.FileHandler.encoding=UTF-8
#
# Specifies a pattern for generating the output file name. See below for details. (Defaults to "%h/java%u.log").
#
# "%l" the SitaWare Frontline application "logs" directory
# "/"  the local path name separator
# "%t" the system temporary directory
# "%h" the value of the "user.home" system property
# "%g" the generation number to distinguish rotated logs
# "%u" a unique number to resolve conflicts
# "%%" translates to a single percent sign "%"
#
java.util.logging.FileHandler.pattern=%l/SitaWareFrontline.%g.log
